<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j" template="/layout/template.xhtml">
  <ui:define name="head">
    <h:outputStylesheet library="stylesheet" name="xdw-theme.css"></h:outputStylesheet>
  </ui:define>
  <ui:define name="body">
    <h1>#{messages['gazelle.xdw.simulator.XDWEdition']}</h1>
    <h:form id="form">
      <gri:panel>
        <f:facet name="header">#{messages['gazelle.xdw.simulator.XDWEdition']}</f:facet>
        <h:panelGrid columns="5">
					<h:commandButton
						styleClass="gzl-btn-blue"
						value="#{messages['gazelle.xdw.simulator.GenerateEmptyFile']}"
						actionListener="#{generatorManagerBean.generateXDWWorkflowDocument()}"
						render="form"/>
					<!-- <rich:spacer height="10px" /> -->
          <h:outputText value="#{messages['gazelle.xdw.simulator.OR']}"></h:outputText>
<!-- <rich:spacer height="10px" /> -->
					<a4j:commandButton
						styleClass="gzl-btn-blue"
						value="#{messages['gazelle.xdw.simulator.Upload']}"
						actionListener="#{XDWToolsMan.setXdwDoc(null)}"
						oncomplete="jq162('#upload_panel').modal('show')" />
				</h:panelGrid>
      </gri:panel>
      <br />
      <s:div id="contentxdw">
        <gri:panel bodyClass="styleResultBackground" rendered="#{xDWTXDWWorkflowDocumentEditorManager.selectedXDWTXDWWorkflowDocument != null}">
          <f:facet name="header">#{messages['gazelle.xdw.simulator.TXDWWorkflowDocumentContent']}</f:facet>
					<a4j:commandButton
						styleClass="gzl-btn-blue"
						value="#{messages['gazelle.xdw.simulator.Edit']}"
						action="/editor/xdw/TXDWWorkflowDocument.xhtml"
						oncomplete="jq162('#upload_panel').modal('show')"/>
					<!-- <rich:spacer height="10px" /> -->
          <ui:include src="/editor/actions.xhtml"></ui:include>
          <ns1:insert xmlns:ns0="http://richfaces.org/sandbox/syntaxhighlighter" xmlns:ns1="http://www.ihe.net/gazellecdk" id="globalcontent" content="#{commonEditorManager.getAttributeAsString(xDWTXDWWorkflowDocumentEditorManager.selectedXDWTXDWWorkflowDocument, 'net.ihe.gazelle.xdw')}" highlight="xml"></ns1:insert>
        </gri:panel>
      </s:div>
    </h:form>
    <gri:popupPanel id="upload_panel">
      <f:facet name="header">
        <h:outputText value="#{messages['gazelle.xdw.simulator.UploadXDWDocument']}"></h:outputText>
      </f:facet>
      <f:facet name="controls">
        <h:graphicImage alt="#{messages['gazelle.common.button.mp.close']}" value="/img/modal/close.gif" style="cursor:pointer" onclick="jq162('#upload_panel').modal('hide')"></h:graphicImage>
      </f:facet>
      <s:decorate id="nullFlavor_view">
        <h:form id="formnullFlavor">
          <h:outputText value="#{messages['gazelle.xdw.simulator.UploadAnXDWDocument']}"></h:outputText>
          <rich:fileUpload id="uploadMessage" fileUploadListener="#{XDWToolsMan.uploadEventlistener}" maxFilesQuantity="1" acceptedTypes="xml" listHeight="60px" immediateUpload="true" onclear="">
            <a4j:ajax event="uploadcomplete" render="globalForm" execute="@this"></a4j:ajax>
          </rich:fileUpload>
          <div align="right">
						<a4j:commandButton
							value="#{messages['gazelle.xdw.simulator.Confirm']}"
							styleClass="gzl-btn-green"
							actionListener="#{generatorManagerBean.generateXDWWorkflowDocument(XDWToolsMan.xdwDoc)}"
							onclick="jq162('#upload_panel').modal('hide')"
							render="form" />
						<a4j:commandButton
							value="#{messages['gazelle.xdw.simulator.Cancel']}"
							onclick="jq162('#upload_panel').modal('hide')"
							styleClass="gzl-btn-red" execute="@this" />
					</div>
        </h:form>
      </s:decorate>
    </gri:popupPanel>
  </ui:define>
</ui:composition>
